area.onetofive-clickable, h3.onetofive-clickable { cursor: pointer; }

.assess-onetofive-setuptargets .assess-assessment-parameter-comment { display: none; }
.assess-onetofive-setuptargets .assess-parameter-comment { display: none; }
table.assess-form-fields .assess-onetofive-setuptargets .assess-assessment-parameter-group-colheader th { text-align: left; color: black; }

.onetofive-report .onetofive-report-parameter-description, .ui-dialog .onetofive-report-parameter-description { margin: 10px 20px; padding: 10px; background-color: #eeeeee;  }
.onetofive-report .onetofive-report-parameter-description p:last-child, .ui-dialog .onetofive-report-parameter-description p:last-child { margin-bottom: 0; }
.onetofive-report .onetofive-report-parameter-description table[style], .ui-dialog .onetofive-report-parameter-description table[style], .onetofive-report .onetofive-report-parameter-description th[style], .ui-dialog .onetofive-report-parameter-description th[style] { width: auto !important; }
table.assess-onetofive-targetconsensus { border-collapse: collapse; }
table.assess-onetofive-targetconsensus td, table.assess-onetofive-targetconsensus th { padding: 3px; }
table.assess-onetofive-targetconsensus tr.assess-assessment-parameter-group-header h3 { font-size: 16px; margin: 0; padding: 3px 0; }
table.assess-onetofive-targetconsensus .assess-assessment-targetconsensus-headers, table.assess-onetofive-targetconsensus .assess-assessment-targetconsensus-data { border: 1px solid #D1D1D1; }
table.assess-onetofive-targetconsensus .assess-assessment-targetconsensus-headers th, table.assess-onetofive-targetconsensus .assess-assessment-targetconsensus-data td, table.assess-onetofive-targetconsensus .assess-assessment-targetconsensus-data th { border: 1px solid white; }
table.assess-onetofive-targetconsensus .assess-assessment-targetconsensus-headers, body div table.assess-onetofive-targetconsensus .assess-assessment-targetconsensus-data { border: 1px solid #D1D1D1; }
table.assess-onetofive-targetconsensus .assess-assessment-targetconsensus-headers th { background-color: #D1D1FF; }
table.assess-onetofive-targetconsensus .assess-assessment-targetconsensus-data td, table.assess-onetofive-targetconsensus .assess-assessment-targetconsensus-data th { background-color: #E9E9E9; }
table.assess-onetofive-targetconsensus tbody th.parameter { border-left: 1px solid #D1D1D1;}
table.assess-onetofive-targetconsensus .assess-assessment-targetconsensus-data tr.data-last th, table.assess-onetofive-targetconsensus .assess-assessment-targetconsensus-data tr.data-last td { border-bottom: 1px solid #d1d1d1; }
table.assess-onetofive-targetconsensus tbody tr.firstheaders th { border-top: 1px solid #d1d1d1; }
table.assess-onetofive-targetconsensus .assess-assessment-targetconsensus-data th { text-align: left; }
table.assess-onetofive-targetconsensus .assess-assessment-targetconsensus-data td { text-align: right; }
body table.assess-onetofive-targetconsensus tbody tr .groupright { border-right: 1px solid #a0a0a0; }
body table.assess-onetofive-targetconsensus tbody tr .grouprightoverall { border-right: 2px solid #d09090; }
table.assess-onetofive-targetconsensus-edit td.consensus { text-align: left; }
table.assess-onetofive-targetconsensus td.consensus .error { color: red; font-size: 90%; font-style: italic; }


/* ******************************* */
/* ***** Reporting (inc PDF) ***** */
/* ******************************* */

.onetofivechartnote { font-style: italic; }
/* table.onetofivechart { border: 1px solid #777777; border-top: none; margin-top: 5px; } */
/* table.onetofivechart caption { border: 1px solid #777777; border-bottom: 1px solid #b0b0b0; } */
/*table.onetofivechart { margin-top: 5px;
-webkit-box-shadow:  0px 0px 10px 0px rgba(39, 39, 39, 0.75);
-moz-box-shadow:     0px 0px 10px 0px rgba(39, 39, 39, 0.75);
box-shadow:          0px 0px 10px 0px rgba(39, 39, 39, 0.75);
behavior: url('/res/pie/PIE.htc');
}*/

/* Cover override as we have less on the front of the response report, so increase margin */
.onetofive-response-report-cover .assess-report-front-page .main-heading { margin-top: 200px;  } 

body.onetofive-report-pdf { font-family: Arial, "Liberation Sans", "DejaVu Sans"; }
body.onetofive-report-pdf, .onetofive-report-pdf td, .onetofive-report-pdf th { font-size: 12px; }

body.onetofive-report-pdf img { max-width: 52em; }
body.onetofive-report-pdf img { max-height: 68em; }
/* In px in case the svg has a font-size that's different */
body.onetofive-report-pdf svg { max-width: 624px; }
body.onetofive-report-pdf svg { max-height: 816px; }

.onetofive-report h2 { border-bottom: 1px solid #555555; color: #333333; padding-bottom: 2px; page-break-after: avoid; }
.onetofive-report h3 { color: #333333; page-break-after: avoid; }
.onetofive-report .print-keep-together { page-break-inside: avoid; }

div.assess-onetofive-report-comment h1 { padding: 5px; font-size: 130%; color: white; background-color: #202070; margin-top: 10px; }
div.assess-onetofive-report-comment h2 { font-size: 120%; margin: 2px; }
div.assess-onetofive-report-comment td.onetofive-parameter { padding: 3px; }
div.assess-onetofive-report-comment div.onetofive-parameter-description { border-top: 1px solid #a0a0a0; padding-top: 3px; color: #222222; }
div.assess-onetofive-report-comment table { border-collapse: collapse; margin-bottom: 15px; width: 100%; }
div.assess-onetofive-report-comment table th, div.assess-onetofive-report-comment table td { border: 1px solid black; padding: 2px; vertical-align: top; }
div.assess-onetofive-report-comment table tr.header th, div.assess-onetofive-report-comment table tr.footer th { background-color: #aaaaaa; color: white; }
div.assess-onetofive-report-comment table tr.comment th.partner { text-align: left; }
div.assess-onetofive-report-comment table td.score { text-align: center; font-weight: bold; }
div.assess-onetofive-report-comment .onetofive-group-notfirst { page-break-before: always; }
div.assess-onetofive-report-comment .onetofive-parameter-first { page-break-before: avoid; }
div.assess-onetofive-report-comment .onetofive-parameter-notfirst { page-break-inside: avoid; }
div.assess-onetofive-report-comment .onetofive-no-comment-provided { font-style: italic; }
div.assess-onetofive-report-comment table.onetofive-parameter-overall h2 { color: #202070; }
div.assess-onetofive-report-comment table th.comment { width: 50%; }
.assess-body div.assess-onetofive-report-comment div.assess-onetofive-parametergroup { padding-left: 7px; padding-right: 7px; }
.onetofive-commented-percentage { font-size: 90%; font-weight: normal; }

.onetofivetemplateparameter td.info { padding: 0; }
.onetofivetemplateparameter td.info .container { width: 650px; max-height: 80px; overflow: auto; }
.onetofivetemplateparameter td.movehandle { width: 16px; }
.onetofivetemplateparameter .parameters td { border: none; vertical-align: top; }
.onetofivetemplateparameter .parameters .slide { background-color: #eee; min-width: 60px; border: 1px solid #eee; }
.onetofivetemplateparameter .parameters .slide .title { background-color: #ccc; font-weight: bold; text-align: center; padding: 2px; }
.onetofivetemplateparameter .parameters .slide .desc { text-align: center; font-size: 90%; padding: 2px; background-color: #fff; }
.onetofivetemplateparameter .parameters .slide .desc ul, .onetofivetemplateparameter .parameters .slide .desc ol {
  text-align: left; /* bulleted lists and ordered lists never look great centered */
  margin-top: 1px;
  margin-bottom: 13px;
  margin-left: 0;
  padding-left: 17px;
}


.onetofive-sliding-template .assesswidgetrangeslider-display { display: none; }

.onetofive-sliding-template .slide { padding: 0; background-color: #ffffff; font-size: 100%; }
.onetofive-sliding-template-smallerslidetext .slide { font-size: 90%; }
.onetofive-sliding-template .slide-notscored div { padding: 2px; }
.onetofive-sliding-template .slide-na div { padding: 2px; }
.onetofive-sliding-template .assess-parameter-read .slide { font-size: 90%; margin-top: 10px; border-radius: 4px; }
.onetofive-sliding-template .slide .title { font-size: 110%; font-weight: bold; padding: 2px 3px; border-top-left-radius: 4px; border-top-right-radius: 4px; }
.onetofive-sliding-template .slide .title-only .title { border-radius: 4px; }
.onetofive-sliding-template .slide .desc { padding: 3px; max-height: 400px; overflow: auto; }
.onetofive-sliding-template .slide-score-1 .title { background-color: #ff0000; }
.onetofive-sliding-template .slide-score-2 .title { background-color: #ff7a00; }
.onetofive-sliding-template .slide-score-3 .title { background-color: #ffff00; }
.onetofive-sliding-template .slide-score-4 .title { background-color: #b7f800; }
.onetofive-sliding-template .slide-score-5 .title { background-color: #66f800; }

.onetofive-sliding-template .assesswidgetrangeslider-sliding-display .slick-slide .title { opacity: 0.60; filter: alpha(opacity=60);}
.onetofive-sliding-template .assesswidgetrangeslider-sliding-display .slick-center .title { opacity: 1; filter: alpha(opacity=100); }

.onetofive-sliding-template col.assess-assessment-parameter-widget { width: 388px; }
.onetofive-sliding-template-with-na col.assess-assessment-parameter-widget { width: 418px; }
.onetofive-sliding-template-compact col.assess-assessment-parameter-widget { width: 288px; }
.onetofive-sliding-template-compact.onetofive-sliding-template-with-na col.assess-assessment-parameter-widget { width: 318px; }
.onetofive-sliding-template-wide col.assess-assessment-parameter-widget { width: 488px; }
.onetofive-sliding-template-wide.onetofive-sliding-template-with-na col.assess-assessment-parameter-widget { width: 518px; }
.onetofive-sliding-template-widest col.assess-assessment-parameter-widget { width: 638px; }
.onetofive-sliding-template-widest.onetofive-sliding-template-with-na col.assess-assessment-parameter-widget { width: 668px; }


.rad-response-template .slide-score { font-size: 120%; }
.rad-response-template .assesswidgetrangeslider-display { display: none; }
.rad-response-template .rad-parameter-group-1 .assesswidgetrangeslider-sliding-display .slide-score { background-color: #ffcc99; }
.rad-response-template .rad-parameter-group-2 .assesswidgetrangeslider-sliding-display .slide-score { background-color: #ffff99; }
.rad-response-template .rad-parameter-group-3 .assesswidgetrangeslider-sliding-display .slide-score { background-color: #ccffcc; }
.rad-response-template .rad-parameter-group-4 .assesswidgetrangeslider-sliding-display .slide-score { background-color: #ccffff; }
.rad-response-template .rad-parameter-group-5 .assesswidgetrangeslider-sliding-display .slide-score { background-color: #ff99cc; }

.onetofive-response-report .compcharts { float: left; width: 36em; }
.onetofive-report-pdf .onetofive-response-report .compcharts { width: 50%; }

.onetofive-response-report .sankey { max-width: 70em; }
.onetofive-report-pdf .onetofive-response-report .sankey { max-width: 52em; }
.onetofive-report-pdf .onetofive-response-report .sankey img { max-width: 52em; }
.onetofive-report-pdf .onetofive-response-report .sankey svg { max-width: 624px; } /* In px in case svg has font size set that's different */
.onetofive-report-pdf .onetofive-response-report .compcharts img { max-width: 26em; }
.onetofive-report-pdf .onetofive-response-report .compcharts img { max-width: 312px; } /* In px in case svg has font size set that's different */

/* Column stuff */

.onetofive-response-report .clear-break { clear: both; display: table; }
.onetofive-response-report .leftcharts { float: left; width: 50%;}
.onetofive-response-report .rightcharts { float: left; width: 50%; }

/* Allocate wider page and columns during rendering phase - this is so on the server-side we match what happened with client-side rendering which is
   to render in a page width of 1024px (with highcharts sizing charts based on that space) before then scaling the charts for the pdf based on
   the PDF page width and max-widths given below */
.onetofive-pdf-chartrendering .onetofive-response-report { width: 1024px; }
.onetofive-pdf-chartrendering .onetofive-response-report .leftcharts { width: 512px; }
.onetofive-pdf-chartrendering .onetofive-response-report .rightcharts { width: 512px; }

/* Allocate more space to left for default columns for display */
.assess-page .onetofive-response-report .defaultchartcolumns .leftcharts { width: 46em; }
.assess-page .onetofive-response-report .defaultchartcolumns .rightcharts { width: 27em; }

.assess-page .onetofive-response-report .defaultchartcolumns .leftcharts .piedist { margin-left: 12em; }
.assess-page .onetofive-response-report .defaultchartcolumns .bothcharts .nip-highchart-container { max-width: 73em; }

.onetofive-report-pdf .onetofive-response-report svg.highcharts-root { height: auto !important; width: auto !important;} /* Clear these from highcharts svgs */
.onetofive-report-pdf .onetofive-response-report .defaultchartcolumns .leftcharts img { max-width: 31em; }
.onetofive-report-pdf .onetofive-response-report .defaultchartcolumns .leftcharts svg { max-width: 372px; }/* In px in case svg has a font size set that's different */
.onetofive-report-pdf .onetofive-response-report .defaultchartcolumns .rightcharts img { max-width: 31em; }
.onetofive-report-pdf .onetofive-response-report .defaultchartcolumns .rightcharts svg { max-width: 372px; }/* In px in case svg has a font size set that's different */

.onetofive-report-pdf .onetofive-response-report .defaultchartcolumns .leftcharts .piedist { margin-left: 5em; }
.onetofive-report-pdf .onetofive-response-report .defaultchartcolumns .leftcharts .piedist img { max-width: 21em; }
.onetofive-report-pdf .onetofive-response-report .defaultchartcolumns .leftcharts .piedist svg { max-width: 252px; } /* In px in case svg has a font size set that's different */
.onetofive-report-pdf .onetofive-response-report .defaultchartcolumns .scoreschart img { max-width: 21em; }
.onetofive-report-pdf .onetofive-response-report .defaultchartcolumns .scoreschart svg { max-width: 252px; } /* In px in case svg has a font size set that's different */
.onetofive-report-pdf .onetofive-response-report .defaultchartcolumns .leftcharts .key { max-width: 31em; }

body > .onetofive-response-report { background-color: white; padding-top: 1em; }
body.onetofive-report-pdf > .onetofive-response-report { padding-top: 0; }
.onetofive-response-report {  -webkit-print-color-adjust: exact; color-adjust: exact; }
.onetofive-response-report .charttitle { text-align: center; font-size: 1.15em; font-weight: bold; margin-top: 1.4em; }
.onetofive-response-report .key { margin-top: 1.2em; }
.onetofive-response-report .key .keyentry { float: left; margin-left: 1em; white-space: nowrap; }
.onetofive-report-pdf .onetofive-response-report .key .keyentry { font-size: 0.9em; }
.onetofive-response-report .draftheading { font-size: 0.8em; font-style: italic; font-weight: normal; margin-left: 1em; color: #555; }
.onetofive-response-report .key .bullet { width: 10px; height: 10px; margin-right: 5px; display: inline-block; }
.onetofive-response-report .onetofive-response-report-contents li { margin-bottom: 0.2em; }
.onetofive-response-report .onetofive-response-report-contents ul.parametergroups { list-style-type: none; padding-left: 0; }
.onetofive-response-report .onetofive-response-report-contents div.parametergroup { font-size: 110%; font-weight: bold; margin-top: 0.3em; margin-bottom: 0.1em; }
.onetofive-response-report .onetofive-response-report-contents ul.parameters { list-style-type: disc; padding-left: 3em; }
.onetofive-response-report p { margin-top: 0.12em; margin-bottom: 1em; }
.onetofive-response-report table { margin-bottom: 2em; }
.onetofive-response-report table.onetofive-response-report-score { width: 100%; }
.onetofive-response-report table th, .onetofive-response-report table td { background-color: #efefef; padding: 3px; vertical-align: top; color: black; } 

.onetofive-response-report table.onetofive-response-report-info tr.help th, .onetofive-response-report table.onetofive-response-report-info tr.help td { font-size: 90%; color: #555; }
.onetofive-response-report table .score-level { border: 3px solid transparent; }
.onetofive-response-report table .is_score { border: 3px solid #666; }
.onetofive-response-report table.onetofive-response-report-score th, .onetofive-response-report table.onetofive-response-report-score td { min-width: 10em; }

.onetofive-response-report .onetofive-response-report-withheadings.onetofive-response-report-withbodies { border-spacing: 2px 0; }
.onetofive-response-report .onetofive-response-report-withheadings.onetofive-response-report-withbodies th.score-level { border-bottom: none; }
.onetofive-response-report .onetofive-response-report-withheadings.onetofive-response-report-withbodies td.score-level { border-top: none; }
.onetofive-response-report table.onetofive-response-report-info th { background-color: transparent; }
.onetofive-response-report table.onetofive-response-report-comment th { background-color: transparent; }
.onetofive-response-report table.onetofive-response-report-comment td { min-width: 40em; }
.onetofive-response-report h1 { border-bottom: 2px solid #333; color: #222;}
.onetofive-response-report h2 { border-bottom: 2px solid #777; color: #333;}
.onetofive-response-report h3 { border-bottom: 1px solid #777; }
.onetofive-response-report-info th { text-align: left; }
.onetofive-response-report tr.bodies td { text-align: center; }

.onetofive-response-report-score.onetofive-parameter-type-1to5 th.score-level-1 { background-color: #ff0000; }
.onetofive-response-report-score.onetofive-parameter-type-1to5 th.score-level-2 { background-color: #ff7a00; }
.onetofive-response-report-score.onetofive-parameter-type-1to5 th.score-level-3 { background-color: #ffff00; }
.onetofive-response-report-score.onetofive-parameter-type-1to5 th.score-level-4 { background-color: #b7f800; }
.onetofive-response-report-score.onetofive-parameter-type-1to5 th.score-level-5 { background-color: #66f800; }
.onetofive-response-report-score.onetofive-parameter-type-1to5 tr.bodies td ul, .onetofive-response-report-score.onetofive-parameter-type-1to5 tr.bodies td ol {
  text-align: left; /* bulleted lists and ordered lists never look great centered */
  margin-top: 1px;
  margin-bottom: 13px;
  margin-left: 0;
  padding-left: 17px;
}	

.onetofive-response-report-comment th { text-align: left; }
.onetofive-response-report .appendix-preamble { font-style: italic; }
.onetofive-response-report .appendix-guidance { margin: 15px; }

/* Diagnostic print views */

.onetofive-diagnostic-print { font-size: 90%; background-color: white; padding: 1em; }
.onetofive-diagnostic-print td, .onetofive-diagnostic-print th { vertical-align: top; text-align: left; font-size: 90%; border: 1px solid gray; }
.onetofive-diagnostic-print table { border-collapse: collapse; }
.onetofive-diagnostic-print td.description p, .onetofive-diagnostic-print td.guidance p, .onetofive-diagnostic-print td.scores p { margin: 3px 0px; }
.onetofive-diagnostic-print .sectionname { page-break-before: always; }
.onetofive-diagnostic-print .sectionnumber-1 { page-break-before: auto; }
.onetofive-diagnostic-print div.scorelevels .scorelevel { border-bottom: 1px solid #bbb; clear: both; }
.onetofive-diagnostic-print div.scorelevels .scorelevel:last-child { border-bottom: none; }
.onetofive-diagnostic-print div.scorelevels span.label-with-description, div.scorelevels span.sep { float: left; }

body.onetofive-diagnostic-print-pdf { font-family: Arial, "Liberation Sans", "DejaVu Sans"; }
body.onetofive-diagnostic-print-pdf { font-size: 15px; }
body.onetofive-diagnostic-print-pdf ul { padding-left: 2em; }
body.onetofive-diagnostic-print-pdf img { max-width: 450px; }
